curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"machineTranslateSettingsPerLangs": [
{
"targetLang": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings"
payload = { "machineTranslateSettingsPerLangs": [{ "targetLang": "<string>" }] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({machineTranslateSettingsPerLangs: [{targetLang: '<string>'}]})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'machineTranslateSettingsPerLangs' => [
[
'targetLang' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings"
payload := strings.NewReader("{\n \"machineTranslateSettingsPerLangs\": [\n {\n \"targetLang\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"machineTranslateSettingsPerLangs\": [\n {\n \"targetLang\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"machineTranslateSettingsPerLangs\": [\n {\n \"targetLang\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"mtSettingsPerLangList": [
{
"targetLang": "<string>",
"machineTranslateSettings": {
"args": {},
"baseName": "<string>",
"category": "<string>",
"default_": true,
"enabled": true,
"id": "<string>",
"includeTags": true,
"langs": {
"id": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
]
},
"mtQualityEstimation": true,
"name": "<string>",
"type": "<string>",
"uid": "<string>"
}
}
]
}Assign machine translate engine to project
Assigns machine translate settings for the project, either as a single project-wide engine (bulk mode) or per-language via machineTranslateSettingsPerLangs; machineTranslateSettingsPerLangs takes precedence if both machineTranslateSettings and machineTranslateSettingsPerLangs are set. In bulk mode (machineTranslateSettings set, machineTranslateSettingsPerLangs omitted), the given engine replaces any project-level or per-language MT settings currently in effect, erasing all mtSettings per language for the project; call without a machineTranslateSettings parameter to remove all machine translate settings from the project. When machineTranslateSettingsPerLangs is set, only the given locales are updated, leaving machine translate settings of other locales untouched. If machineTranslateSettingsPerLangs is set while the project currently has a single machineTranslateSettings value applying to all locales (bulk mode), that bulk setting is copied onto every target locale not listed in machineTranslateSettingsPerLangs before being cleared, so their effective machine translate settings do not change as a side effect of switching modes.
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"machineTranslateSettingsPerLangs": [
{
"targetLang": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings"
payload = { "machineTranslateSettingsPerLangs": [{ "targetLang": "<string>" }] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({machineTranslateSettingsPerLangs: [{targetLang: '<string>'}]})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'machineTranslateSettingsPerLangs' => [
[
'targetLang' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings"
payload := strings.NewReader("{\n \"machineTranslateSettingsPerLangs\": [\n {\n \"targetLang\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"machineTranslateSettingsPerLangs\": [\n {\n \"targetLang\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"machineTranslateSettingsPerLangs\": [\n {\n \"targetLang\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"mtSettingsPerLangList": [
{
"targetLang": "<string>",
"machineTranslateSettings": {
"args": {},
"baseName": "<string>",
"category": "<string>",
"default_": true,
"enabled": true,
"id": "<string>",
"includeTags": true,
"langs": {
"id": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
]
},
"mtQualityEstimation": true,
"name": "<string>",
"type": "<string>",
"uid": "<string>"
}
}
]
}Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Body
MT settings to apply; omit machineTranslateSettings to remove all MT settings. Use machineTranslateSettingsPerLangs to update only the given locales.
Machine translate settings to apply to a project template
Response
OK
Show child attributes
Show child attributes
Was this page helpful?